[SCM] zita-at1/master: Introduce postclone.sh script to ignore .pc/ dir.

mira-guest at users.alioth.debian.org mira-guest at users.alioth.debian.org
Fri Aug 11 00:24:44 UTC 2017


The following commit has been merged in the master branch:
commit 6653be16667d9899bdf9607d6592bd6706345c5f
Author: Jaromír Mikeš <mira.mikes at seznam.cz>
Date:   Fri Aug 11 02:06:56 2017 +0200

    Introduce postclone.sh script to ignore .pc/ dir.

diff --git a/debian/gbp/postclone.sh b/debian/gbp/postclone.sh
new file mode 100755
index 0000000..5790ec6
--- /dev/null
+++ b/debian/gbp/postclone.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+## script to initialize a cloned repository
+## with per (local) repository settings.
+
+# - ignore quilt's .pc/ directory
+# - enable the "--follow-tags" mode for pushing
+
+echo "tuning git-repository for ${NAME}"
+git config push.followTags true && echo "enabled push.followTags"
+
+GITEXCLUDE=".git/info/exclude"
+egrep "^/?\.pc/?$" "${GITEXCLUDE}" >/dev/null 2>&1 \
+  || (echo "/.pc/" >> "${GITEXCLUDE}" && echo "ignoring /.pc/")

-- 
zita-at1 packaging



More information about the pkg-multimedia-commits mailing list